org.jbpm.services.task.impl.model.xml

## Class AbstractJaxbTaskObject<T>

- java.lang.Object
- - org.jbpm.services.task.impl.model.xml.AbstractJaxbTaskObject<T>

- Direct Known Subclasses:
    JaxbAttachment, JaxbContentData, JaxbI18NText, JaxbTaskData

      public class AbstractJaxbTaskObject<T>
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Class<?>` | `realClass`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `AbstractJaxbTaskObject()`
    `protected` | `AbstractJaxbTaskObject(Class<?> realClass)`
    `protected` | `AbstractJaxbTaskObject(T taskObject, Class<?> objectInterface)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <I,J extends I> List<J>` | `convertListFromInterfaceToJaxbImpl(List<I> interfacelList, Class<I> interfaceClass, Class<J> jaxbClass)`
    `protected void` | `initialize(T taskObject, Class<?> objectInterface)`
    `void` | `readExternal(ObjectInput in)`
    `void` | `writeExternal(ObjectOutput out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### realClass

          protected Class<?> realClass

  - ### Constructor Detail

    - #### AbstractJaxbTaskObject

          public AbstractJaxbTaskObject()

    - #### AbstractJaxbTaskObject

          protected AbstractJaxbTaskObject(Class<?> realClass)

    - #### AbstractJaxbTaskObject

          protected AbstractJaxbTaskObject(T taskObject,
                                Class<?> objectInterface)

  - ### Method Detail

    - #### initialize

          protected void initialize(T taskObject,
                        Class<?> objectInterface)

    - #### convertListFromInterfaceToJaxbImpl

          public static <I,J extends I> List<J> convertListFromInterfaceToJaxbImpl(List<I> interfacelList,
                                                                   Class<I> interfaceClass,
                                                                   Class<J> jaxbClass)

    - #### writeExternal

          public void writeExternal(ObjectOutput out)
                             throws IOException

      Throws:
        `IOException`

    - #### readExternal

          public void readExternal(ObjectInput in)
                            throws IOException,
                                   ClassNotFoundException

      Throws:
        `IOException`
        `ClassNotFoundException`

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.